
-- Run this when a user enters a message in chat
AddEventHandler('chatMessage', function(source, name, msg)
	-- Sets variable 'player' to the players SteamId
	player = GetPlayerIdentifiers(source)[1]
	-- Fetches all rows from the database table 'users' where the column 'identifier' equals the players SteamId
	local result = MySQL.Sync.fetchAll(
	  'SELECT * FROM users WHERE identifier = @identifier',
	  {
		['@identifier'] = player
	  }
	)
	-- Loops through the result and allows you to call from the database results
	for i=1, #result, 1 do
	
				-- If the resulted user is a superadmin then do the following
				if result[i].group == 'superadmin' then -- ADD EXTRA GROUPS HERE WITH "and result[i].group == ' '"
					-- Loop through the table staff
						TriggerClientEvent('chatMessage', -1, name, {255, 255, 255}, msg)
						CancelEvent()
					--end
				-- If the resulted user is not a superadmin then do the following
				else
					-- IF YOU WANT IT TO SAY THEY HAVE INSUFFICIENT PERMISSIONS UNCOMMENT THE NEXT LINE
					--TriggerClientEvent('chatMessage', source, "SYSTEM", {255, 0, 0}, "Insufficient Permissions!")
					CancelEvent()
					
				end
	end
end)